Subject: [Fot] Spit Gearbox

From: Rick Parent via Fot <[email-masked]>
Date: Sun, 3 Oct 2021 22:56:41 +0000 (UTC)

--===============6390821049715585637==
	boundary="----=_Part_1548243_1693147067.1633301801302"

------=_Part_1548243_1693147067.1633301801302
Content-Transfer-Encoding: 7bit

Greetings FOTers
I am in need of a dog ring gearbox for a Spit, please let me know what you have. I passed on one a few months ago and of course I need one today. :-(
Rick Parent
"Doing the right thing is always the right thing, regardless of consequences"

------=_Part_1548243_1693147067.1633301801302
Content-Transfer-Encoding: 7bit

<html><head></head><body><div class="ydpf0f0bfeyahoo-style-wrap" style="font-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:16px;"><div><div dir="ltr" data-setdir="false">Greetings FOTers</div><div dir="ltr" data-setdir="false"><br></div><div dir="ltr" data-setdir="false">I am in need of a dog ring gearbox for a Spit, please let me know what you have. I passed on one a few months ago and of course I need one today. :-(</div><div><br></div><div class="ydpf0f0bfesignature"><div style="font-family:Helvetica, Arial, sans-serif;font-size:16px;"><div dir="ltr">Rick Parent</div><div dir="ltr"><br></div><div dir="ltr">"<i>Doing the right thing is always the right thing, regardless of consequences</i>"</div><div dir="ltr"><br></div></div></div></div></div></body></html>
------=_Part_1548243_1693147067.1633301801302--

--===============6390821049715585637==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot

--===============6390821049715585637==--